GNU bug report logs - #53777
[PATCH] add python-posix-ipc

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ian Ressa <ian@HIDDEN>; Keywords: moreinfo patch; dated Fri, 4 Feb 2022 12:16:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53777 <at> debbugs.gnu.org:


Received: (at 53777) by debbugs.gnu.org; 6 Mar 2022 21:37:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 06 16:37:45 2022
Received: from localhost ([127.0.0.1]:51862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nQyZO-0001Df-9o
	for submit <at> debbugs.gnu.org; Sun, 06 Mar 2022 16:37:45 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57016)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nQyZK-0001DO-4H
 for 53777 <at> debbugs.gnu.org; Sun, 06 Mar 2022 16:37:37 -0500
Received: from [2001:470:142:3::e] (port=57856 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nQyZD-0001IE-Lb; Sun, 06 Mar 2022 16:37:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=XcXjyt9lcKeepFbk5ooTLa2sgQbm0VsHZA8yc4GdtgM=; b=D9NdgxU3sS5HqhsDAuZf
 TmX6zvKVMgWVYuVqIdr6ZPEwdvZkNsyNCSKGOtWMuXbgROm11GxfMqWyO7b0L1J7+SP3avLp2NBbx
 ZWO5BqJf0bDmEz6U5SPC0oPBGFme8Im3e8y+cDEoxkE4g30ca1QhliiqTiWTF7bgyyxMpuujU5FFP
 3dNCBbowByZPbwW819MkoFP9fdjg8jc6WvNDEkKZnZpGpAYvCybCkQT0+pkorj57cOlvuX4PLzuB7
 qtWOVLMd+hfUh4P5f/ooPgyBm1wh52Rh05dwML/9yfIiZ0oyunxyKLUOmeBF+x1872Mc2yYCNtEFR
 PTLnK/KRJuQBSA==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:50154
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nQyZD-0005wd-6J; Sun, 06 Mar 2022 16:37:27 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ian Ressa <ian@HIDDEN>
Subject: Re: bug#53777: [PATCH] add python-posix-ipc
References: <20220204045300.1985-1-ian@HIDDEN> <87o83gw3gj.fsf@HIDDEN>
Date: Sun, 06 Mar 2022 22:37:25 +0100
In-Reply-To: <87o83gw3gj.fsf@HIDDEN> (Xinglu Chen's message of "Wed, 09
 Feb 2022 14:54:04 +0100")
Message-ID: <871qzekbje.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53777
Cc: 53777 <at> debbugs.gnu.org, Xinglu Chen <public@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

Hello Ian,

Did you have a chance to address Xinglu=E2=80=99s comments below?

Thanks in advance!

Ludo=E2=80=99.

Xinglu Chen <public@HIDDEN> skribis:

> Hi,
>
> Ian schrieb am Freitag der 04. Februar 2022 um 04:53 GMT:
>
>> Adding python-posix-ipc to gnu/packages/python-xyz.scm
>>
>> ---
>>  gnu/packages/python-xyz.scm | 32 ++++++++++++++++++++++++++++++++
>>  1 file changed, 32 insertions(+)
>>
>> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
>> index 46419e8ace..53d5588564 100644
>> --- a/gnu/packages/python-xyz.scm
>> +++ b/gnu/packages/python-xyz.scm
>> @@ -116,6 +116,7 @@
>>  ;;; Copyright =C2=A9 2021 Greg Hogan <code@HIDDEN>
>>  ;;; Copyright =C2=A9 2022 John Kehayias <john.kehayias@HIDDEN>
>>  ;;; Copyright =C2=A9 2022 Aleksandr Vityazev <avityazev@HIDDEN>
>> +;;; Copyright =C2=A9 2022 Ian Ressa <ian@HIDDEN>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -28926,3 +28927,34 @@ (define-public python-types-dataclasses
>>       "This packages provides a collection of library stubs for Python, =
with
>>  static types.")
>>      (license license:asl2.0)))
>> +
>> +(define-public python-posix-ipc
>> +  (package
>> +    (name "python-posix-ipc")
>> +    (version "1.0.5")
>> +    (source (origin
>> +              (method url-fetch)
>> +              (uri (pypi-uri "posix_ipc" version))
>> +              (sha256
>> +               (base32 "15wbxf67y17g04i3f3vjw9zjbvlvqqk9q1x0ya1y7apl5k7=
b3pbc"))))
>> +    (build-system python-build-system)
>> +    (arguments
>> +     `(#:modules ((guix build python-build-system)
>> +                  ((guix build gnu-build-system) #:prefix gnu:)
>> +                  (guix build utils))
>
> Nothing from (guix build gnu-build-system) seems to be used.  I think
> you can drop the =E2=80=98#:modules=E2=80=99 arguments all together.
>
>> +       #:phases
>> +       (modify-phases %standard-phases
>> +         (add-after 'unpack 'support-cross-compilation
>> +           (lambda _
>> +             (substitute* "prober.py"
>> +               (("cc") ,(cc-for-target)))
>> +             #t)))))
>
> Phases no longer have to return #f.
>
>
>> +    (home-page "http://semanchuk.com/philip/posix_ipc/")
>
> The page supports HTTPS too, so it should be used instead of plain HTTP.
>
>> +    (synopsis
>> +     "POSIX IPC primitives (semaphores, shared memory and message
>> +queues) for Python")
>
> The things in parenthesis are also mentioned in the description, so I
> think you can drop them to make the synopsis a bit shorter.
>
>> +    (description
>> +     "The Python extension module posix_ipc gives Python access to
>> +POSIX inter-process semaphores, shared memory and message queues on sys=
tems
>> +that support the POSIX Realtime Extensions a.k.a. POSIX 1003.1b-1993.")
>> +    (license license:bsd-3)))
>> --=20
>> 2.34.0
>
> The rest LGTM!




Information forwarded to guix-patches@HIDDEN:
bug#53777; Package guix-patches. Full text available.

Message received at 53777 <at> debbugs.gnu.org:


Received: (at 53777) by debbugs.gnu.org; 9 Feb 2022 13:54:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 09 08:54:22 2022
Received: from localhost ([127.0.0.1]:50258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nHnQH-0007wU-9r
	for submit <at> debbugs.gnu.org; Wed, 09 Feb 2022 08:54:22 -0500
Received: from h178-251-242-94.cust.a3fiber.se ([178.251.242.94]:45564
 helo=mail.yoctocell.xyz) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1nHnQE-0007wC-5V
 for 53777 <at> debbugs.gnu.org; Wed, 09 Feb 2022 08:54:15 -0500
From: Xinglu Chen <public@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yoctocell.xyz;
 s=mail; t=1644414845;
 bh=G9SL9FKDpzGdNoW2cM/DZKTIw3VQx6ZPUsQbDgf9/1M=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date;
 b=P3lKc+eReRxILwubm+eiRUS2qSLQP/1AoVLLt5xancR/DvYvJA47URmZlfKUIDd1X
 yO7v5RaORnno2M0HCQxcuC0JMiVksdYk1r+xqo0glTjZtNVaF5sJ3JHNDhA3PsOXdE
 QxTF4G5n7ll9L6vfMENMhh+cGvu/rxZwNGOvpIh4=
To: Ian Ressa <ian@HIDDEN>, 53777 <at> debbugs.gnu.org
Subject: Re: [bug#53777] [PATCH] add python-posix-ipc
In-Reply-To: <20220204045300.1985-1-ian@HIDDEN>
References: <20220204045300.1985-1-ian@HIDDEN>
Date: Wed, 09 Feb 2022 14:54:04 +0100
Message-ID: <87o83gw3gj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Ian schrieb am Freitag der 04. Februar 2022 um 04:53 GMT:
 > Adding python-posix-ipc to gnu/packages/python-xyz.scm > > --- >
 gnu/packages/python-xyz.scm
 | 32 ++++++++++++++++++++++++++++++++ > 1 file changed, 32 insertions(+)
 > > diff --git a/gnu/packages/py [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: eonn.xyz (xyz)]
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps
X-Debbugs-Envelope-To: 53777
Cc: Ian Ressa <ian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Ian schrieb am Freitag der 04. Februar 2022 um 04:53 GMT:
    > Adding python-posix-ipc to gnu/packages/python-xyz.scm > > --- > gnu/packages/python-xyz.scm
    | 32 ++++++++++++++++++++++++++++++++ > 1 file changed, 32 insertions(+)
   > > diff --git a/gnu/packages/py [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: yoctocell.xyz (xyz)]
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
  1.0 BULK_RE_SUSP_NTLD      Precedence bulk and RE: from a suspicious TLD
  0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  0.0 PDS_RDNS_DYNAMIC_FP    RDNS_DYNAMIC with FP steps

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Ian schrieb am Freitag der 04. Februar 2022 um 04:53 GMT:

> Adding python-posix-ipc to gnu/packages/python-xyz.scm
>
> ---
>  gnu/packages/python-xyz.scm | 32 ++++++++++++++++++++++++++++++++
>  1 file changed, 32 insertions(+)
>
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
> index 46419e8ace..53d5588564 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -116,6 +116,7 @@
>  ;;; Copyright =C2=A9 2021 Greg Hogan <code@HIDDEN>
>  ;;; Copyright =C2=A9 2022 John Kehayias <john.kehayias@HIDDEN>
>  ;;; Copyright =C2=A9 2022 Aleksandr Vityazev <avityazev@HIDDEN>
> +;;; Copyright =C2=A9 2022 Ian Ressa <ian@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -28926,3 +28927,34 @@ (define-public python-types-dataclasses
>       "This packages provides a collection of library stubs for Python, w=
ith
>  static types.")
>      (license license:asl2.0)))
> +
> +(define-public python-posix-ipc
> +  (package
> +    (name "python-posix-ipc")
> +    (version "1.0.5")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (pypi-uri "posix_ipc" version))
> +              (sha256
> +               (base32 "15wbxf67y17g04i3f3vjw9zjbvlvqqk9q1x0ya1y7apl5k7b=
3pbc"))))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:modules ((guix build python-build-system)
> +                  ((guix build gnu-build-system) #:prefix gnu:)
> +                  (guix build utils))

Nothing from (guix build gnu-build-system) seems to be used.  I think
you can drop the =E2=80=98#:modules=E2=80=99 arguments all together.

> +       #:phases
> +       (modify-phases %standard-phases
> +         (add-after 'unpack 'support-cross-compilation
> +           (lambda _
> +             (substitute* "prober.py"
> +               (("cc") ,(cc-for-target)))
> +             #t)))))

Phases no longer have to return #f.


> +    (home-page "http://semanchuk.com/philip/posix_ipc/")

The page supports HTTPS too, so it should be used instead of plain HTTP.

> +    (synopsis
> +     "POSIX IPC primitives (semaphores, shared memory and message
> +queues) for Python")

The things in parenthesis are also mentioned in the description, so I
think you can drop them to make the synopsis a bit shorter.

> +    (description
> +     "The Python extension module posix_ipc gives Python access to
> +POSIX inter-process semaphores, shared memory and message queues on syst=
ems
> +that support the POSIX Realtime Extensions a.k.a. POSIX 1003.1b-1993.")
> +    (license license:bsd-3)))
> --=20
> 2.34.0

The rest LGTM!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQJJBAEBCAAzFiEEAVhh4yyK5+SEykIzrPUJmaL7XHkFAmIDx3wVHHB1YmxpY0B5
b2N0b2NlbGwueHl6AAoJEKz1CZmi+1x53cUQAL1GdDI/KlOUjNu5lN15ldv4u6HG
LXaUOPVSaqf16JilcLYPWuPer9C0ISrbqRCMgHrAleveMhJn7eB4EYoBfUiHHOr+
sRQWzof7sXvYrdm4X6ANWfwl4/IlHcs99DaoKUYwVkueVFg+9Mgi0XO5ve2LxneM
yHP+eBB9tPXuXPVhFy9dN+HM0nTrYr4h4/Bsqaz13I6ecc9pQqPhUH6ygW8qSGgz
dq2ueMhZgqFxK/hntLkihH+/KnPDgyNNd32sS6PquStyQkl+ebAxkQy61RhmSm0I
4a7LbGaad1uscSwZydjCaP1gmGT7Rl6zUMkDMkwzx5F+jCs23ySqCTd539i3FyNp
u9W+/jWSKrHl7ccn8hl7vSqmY2tMuS62YzDfyUssmJ77FqIU1dZemd1+DSfcgEyl
S8bCC6W497uw631WW9pkL6U6li+2fP8K/8SsRMcKEApfMjCZId6ML0DOPgkIgJTt
enmgP1otX+A+iPOeiSLCyFewW6M4ifun+EkELT+oYmAw1h9p/OtVxDpnZmCYIW7o
F4IYJM1Z86ctS4VT5oUxz0tXGizCOSkLrPqG2Ybi57en5rBDl8DssflIag8D7Jke
mC3PjwdIB6iORBuf/XRtM+asDkonHw15HigvvPISkk3wEQ4M7+apXbJ8cbqieeV9
B5RfxPpWMiy9jh9z
=NFpE
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#53777; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Feb 2022 12:15:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 04 07:15:02 2022
Received: from localhost ([127.0.0.1]:58963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nFxUT-0001Sr-ME
	for submit <at> debbugs.gnu.org; Fri, 04 Feb 2022 07:15:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:49034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ian@HIDDEN>) id 1nFqld-00074n-0P
 for submit <at> debbugs.gnu.org; Fri, 04 Feb 2022 00:04:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47654)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ian@HIDDEN>) id 1nFqlc-0004Ng-RE
 for guix-patches@HIDDEN; Fri, 04 Feb 2022 00:04:16 -0500
Received: from mout01.posteo.de ([185.67.36.141]:49175)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ian@HIDDEN>) id 1nFqla-00007a-Pq
 for guix-patches@HIDDEN; Fri, 04 Feb 2022 00:04:16 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id BD253240026
 for <guix-patches@HIDDEN>; Fri,  4 Feb 2022 05:56:33 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JqjtS5lsHz9rxS;
 Fri,  4 Feb 2022 05:56:32 +0100 (CET)
From: Ian Ressa <ian@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] add python-posix-ipc
Date: Fri,  4 Feb 2022 04:53:01 +0000
Message-Id: <20220204045300.1985-1-ian@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: none client-ip=185.67.36.141; envelope-from=ian@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9, FROM_SUSPICIOUS_NTLD=0.499,
 FROM_SUSPICIOUS_NTLD_FP=1.999, RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Adding python-posix-ipc to gnu/packages/python-xyz.scm ---
 gnu/packages/python-xyz.scm | 32 ++++++++++++++++++++++++++++++++ 1 file
 changed,
 32 insertions(+) diff --git a/gnu/packages/python-xyz.scm
 b/gnu/packages/python-xyz.scm
 index 46419e8ace..53d5588564 100644 --- a/gnu/packages/python-xyz.scm +++
 b/gnu/packages/python-xyz.scm @@ -116,6 +116,7 @@ ;;; C [...] 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 1.6 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: eonn.xyz (xyz)]
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 2.0 FROM_SUSPICIOUS_NTLD_FP From abused NTLD
 0.5 FROM_SUSPICIOUS_NTLD   From abused NTLD
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 04 Feb 2022 07:15:00 -0500
Cc: Ian Ressa <ian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.2 (-)

Adding python-posix-ipc to gnu/packages/python-xyz.scm

---
 gnu/packages/python-xyz.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 46419e8ace..53d5588564 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -116,6 +116,7 @@
 ;;; Copyright © 2021 Greg Hogan <code@HIDDEN>
 ;;; Copyright © 2022 John Kehayias <john.kehayias@HIDDEN>
 ;;; Copyright © 2022 Aleksandr Vityazev <avityazev@HIDDEN>
+;;; Copyright © 2022 Ian Ressa <ian@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -28926,3 +28927,34 @@ (define-public python-types-dataclasses
      "This packages provides a collection of library stubs for Python, with
 static types.")
     (license license:asl2.0)))
+
+(define-public python-posix-ipc
+  (package
+    (name "python-posix-ipc")
+    (version "1.0.5")
+    (source (origin
+              (method url-fetch)
+              (uri (pypi-uri "posix_ipc" version))
+              (sha256
+               (base32 "15wbxf67y17g04i3f3vjw9zjbvlvqqk9q1x0ya1y7apl5k7b3pbc"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:modules ((guix build python-build-system)
+                  ((guix build gnu-build-system) #:prefix gnu:)
+                  (guix build utils))
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'support-cross-compilation
+           (lambda _
+             (substitute* "prober.py"
+               (("cc") ,(cc-for-target)))
+             #t)))))
+    (home-page "http://semanchuk.com/philip/posix_ipc/")
+    (synopsis
+     "POSIX IPC primitives (semaphores, shared memory and message
+queues) for Python")
+    (description
+     "The Python extension module posix_ipc gives Python access to
+POSIX inter-process semaphores, shared memory and message queues on systems
+that support the POSIX Realtime Extensions a.k.a. POSIX 1003.1b-1993.")
+    (license license:bsd-3)))
-- 
2.34.0





Acknowledgement sent to Ian Ressa <ian@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53777; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Mar 2022 10:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.